// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "MfcGl.h"

#include "glcode.h"
#include "defines.h"
#include "MyDialog.h"

#include "MainFrm.h"




#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_WM_SIZE()
	ON_WM_SETFOCUS()
	ON_COMMAND(ID_BUTTON_ROTATION, OnButtonRotation)
	ON_UPDATE_COMMAND_UI(ID_BUTTON_ROTATION, OnUpdateButtonRotation)
	ON_COMMAND(ID_BUTTON_ZOOM, OnButtonZoom)
	ON_UPDATE_COMMAND_UI(ID_BUTTON_ZOOM, OnUpdateButtonZoom)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
//	pdial=NULL;
	
}

CMainFrame::~CMainFrame()
{
//	if(pdial) delete(pdial);
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_TOP
		 | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}


	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);
 
	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

//MICODIGO:aado respuestas a los siguientes eventos
void CMainFrame::OnSize(UINT nType, int cx, int cy) 
{
	CFrameWnd::OnSize(nType, cx, cy);
	
	//MICODIGO: redibujo el marco de la ventana cuando cambia de tamanyo
	RedrawWindow(); 

}
//Activamos este evento para que cuando el marco pierda
//y recupere el foco se redibuje
void CMainFrame::OnSetFocus(CWnd* pOldWnd) 
{
	CFrameWnd::OnSetFocus(pOldWnd);
	
	// TODO: Add your message handler code here
	RedrawWindow();
	
}


/************************************************************
Aadimos mens y sus acciones.
****************************************************************/

void CMainFrame::OnButtonRotation() 
{
	// TODO: Add your command handler code here
	mode_act=MODE_MOVEMENT;
	
}

void CMainFrame::OnUpdateButtonRotation(CCmdUI* pCmdUI) 
{
	if (mode_act==MODE_MOVEMENT) 
	{
		pCmdUI->SetCheck(1);
	}
	else 
	{
		pCmdUI->SetCheck(0);
	}
	
}

void CMainFrame::OnButtonZoom() 
{
	mode_act=MODE_ZOOM;
	RedrawWindow();
}

void CMainFrame::OnUpdateButtonZoom(CCmdUI* pCmdUI) 
{
	if (mode_act==MODE_ZOOM) 
	{
		pCmdUI->SetCheck(1);
	}
	else 
	{
		pCmdUI->SetCheck(0);
	}
	
}

