// light.h
// Declarations for external OpenGL module.  These functions are
// defined in glcode.c and are called appropriately by the CView
// derived classes.

#ifdef __LIGHT__
	void myinit(void);
	void myReshape(GLsizei w, GLsizei h);
	void display(void);

#else

#ifdef __cplusplus

extern "C" {

#endif

	

	extern void myinit(void);
	extern void myReshape(GLsizei w, GLsizei h);
	extern void display(void);

#ifdef __cplusplus
	}
#endif

#endif//ifdef_GLCODE_

